//
//  ViewController.m
//  广告页
//
//  Created by AG_TigerNong on 17/3/24.
//  Copyright © 2017年 农大浒. All rights reserved.
//

#import "ViewController.h"
#import "AdvShowView.h"
#import "TNAdvViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor whiteColor];
    
    self.title = @"主界面";
    
    NSArray *imageUrls = @[@"https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1490346439581&di=734eb1cf15ac3774e62884e1e45c8e16&imgtype=0&src=http%3A%2F%2Fbbs.crsky.com%2F1236983883%2FMon_1208%2F25_187069_d7a7e318889e475.jpg",@"https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1490346439581&di=65cf49648c320a4f566019bdbc4296ba&imgtype=0&src=http%3A%2F%2Fdesk.fd.zol-img.com.cn%2Ft_s960x600c5%2Fg5%2FM00%2F00%2F03%2FChMkJlebIWSIDDWtAE-8cV9SEfoAAT9_QEyodEAT7yJ838.jpg",@"https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1490346439581&di=756ec97085f628b0fdb30a08202295c8&imgtype=0&src=http%3A%2F%2Fbbs.crsky.com%2F1236983883%2FMon_1208%2F25_187069_bf14a993c9aff3a.jpg"];
    
    AdvShowView *adView = [[AdvShowView alloc] initWithFrame:CGRectMake(0, 0, [UIScreen mainScreen].bounds.size.width, [UIScreen mainScreen].bounds.size.height) withImageUrls:imageUrls withInterval:10];
    [self.view addSubview:adView];
    
    [adView clcikAdvIndex:^(NSInteger index) {
       
        TNAdvViewController *vc = [[TNAdvViewController alloc] init];
        vc.url = imageUrls[index];
        
        [self.navigationController pushViewController:vc animated:YES];
        
    }];
    
    [adView show];
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
